Bug 593311 - rhelsvc explicitly looks at the device class of the PCI platform device
rhelsvc explicitly looks at the device class of the PCI platform device
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xenpv-win (Show other bugs)
5.5.z
All Linux
low Severity medium
: rc
: ---
Assigned To: Paolo Bonzini
Virtualization Bugs
: Regression, ZStream
Depends On:
Blocks: 624370
  Show dependency treegraph
 
Reported: 2010-05-18 09:44 EDT by Paolo Bonzini
Modified: 2010-11-22 18:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
With xen-3.0.3-105.el5_5.2 or newer installed on the host, sending the "xm block-detach" to the guest with attached para-virtualized disk used to fail, not detaching the disk.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 05:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0514 normal SHIPPED_LIVE xenpv-win bug fix update 2010-07-08 05:22:29 EDT

  None (edit)
Description Paolo Bonzini 2010-05-18 09:44:59 EDT
Description of problem:
rhelsvc uses the PCI class/subclass to detect the PCI platform device.  This breaks "xm block-detach" with the 1.1.0-2 drivers and the latest 5.5.z RHEL kernel.

Version-Release number of selected component (if applicable):
1.1.0-2 with xen-3.0.3-105.el5_5.2 or newer

Steps to Reproduce:
1. Create a guest
2. Attach a PV disk
3. Invoke "xm block-detach" command on the PV disk
  
Actual results:
"xm block-detach" fails.

Expected results:
"xm block-detach" detaches the disk.
Comment 4 koka xiong 2010-06-22 22:18:20 EDT
Verified with xenpv-win-1.2.0-1.el5.noarch.rpm passed.
1.Install windows 2008 R2 on the guest
2.Install xenpv-win driver
3.Attach a PV disk
4.Run xm block-detach <Domain> <DevId>
5.Run xm block-list <Domain>

Verify the disk is detached from the windows guest.
Comment 5 Jaromir Hradilek 2010-06-25 07:59:49 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
With xen-3.0.3-105.el5_5.2 or newer installed on the host, sending the "xm block-detach" to the guest with attached para-virtualized disk used to fail, not detaching the disk.
Comment 7 errata-xmlrpc 2010-07-08 05:23:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0514.html

Note You need to log in before you can comment on or make changes to this bug.